<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepEnableEpoll Property
DatabaseEnvironment Class See Also Send Feedback

This flag is used to force the use of epoll as polling method for networking events instad of poll or select. Use of this flag does not guarantee that epoll will be used though. It depends on the availability of epoll on target platform. Epoll is supposed to be used only when the expected number of connections for repmgr is greater than 1000.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public bool RepEnableEpoll { get; set; }

Visual Basic (Declaration)

    Public Property RepEnableEpoll As Boolean

Visual C++

    public:
    property bool RepEnableEpoll {
    	bool get ();
    	void set (bool value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace